Liblinphone: IOS

Liblinphone 5.3.0

Functions
IOS

iOS specific functions More...

## Functions
void | linphone_core_start_dtmf_stream (LinphoneCore *core)
void | linphone_core_stop_dtmf_stream (LinphoneCore *core)
void | linphone_core_activate_audio_session (LinphoneCore *core, bool_t activated)
| Special function to indicate if the audio session is activated.
void | linphone_core_configure_audio_session (LinphoneCore *core)
| Special function to configure audio session with default settings.
void | linphone_core_enable_callkit (LinphoneCore *core, bool_t enabled)
| Special function to enable the callkit.
MS2_DEPRECATED void | linphone_core_audio_route_changed (LinphoneCore *core)
| Special function to indicate if the audio route is changed.
bool_t | linphone_core_callkit_enabled (const LinphoneCore *core)
| Special function to check if the callkit is enabled, False by default.
bool_t | linphone_core_local_permission_enabled (const LinphoneCore *core)
| Special function to check if the local network permission has been granted by the user (useful for iOS).

## Detailed Description

iOS specific functions

These functions handle specific aspects of iOS, mainly CallKit integration.

## Function Documentation

## ◆ linphone_core_activate_audio_session()

void linphone_core_activate_audio_session | ( | LinphoneCore * | core,
|  | bool_t | activated )

Special function to indicate if the audio session is activated.

Must be called when ProviderDelegate of the callkit notifies that the audio session is activated or deactivated.

Parameters

  core | The LinphoneCore object.
  activated | TRUE to activate the audio session, FALSE to disable it.

## ◆ linphone_core_audio_route_changed()

MS2_DEPRECATED void linphone_core_audio_route_changed | ( | LinphoneCore * | core | ) |

Special function to indicate if the audio route is changed.

Must be called in the callback of AVAudioSessionRouteChangeNotification.

Parameters

  core | The LinphoneCore object.

Deprecated
  07/01/2020 now handled in the linphone SDK directly

## ◆ linphone_core_callkit_enabled()

bool_t linphone_core_callkit_enabled | ( | const LinphoneCore * | core | ) |

Special function to check if the callkit is enabled, False by default.

Parameters

  core | The LinphoneCore object.

Returns
  TRUE if callkit is enabled, FALSE otherwise.

## ◆ linphone_core_configure_audio_session()

void linphone_core_configure_audio_session | ( | LinphoneCore * | core | ) |

Special function to configure audio session with default settings.

Must be called in ProviderDelegate's callbacks when answer an incoming call and start an outgoing call.

Parameters

  core | The LinphoneCore object.

## ◆ linphone_core_enable_callkit()

void linphone_core_enable_callkit | ( | LinphoneCore * | core,
|  | bool_t | enabled )

Special function to enable the callkit.

Parameters

  core | The LinphoneCore object.
  enabled | TRUE to enable callkit, FALSE to disable it.

## ◆ linphone_core_local_permission_enabled()

bool_t linphone_core_local_permission_enabled | ( | const LinphoneCore * | core | ) |

Special function to check if the local network permission has been granted by the user (useful for iOS).

The test performed by this function may popup the local network permission dialog, for that reason it could be a good idea to check it twice to conclude that the user has deny the permission.

Parameters

  core | The LinphoneCore object.

Returns
  TRUE if local permission request is granted, FALSE otherwise.

## ◆ linphone_core_start_dtmf_stream()

void linphone_core_start_dtmf_stream | ( | LinphoneCore * | core | ) |

Parameters

  core | The LinphoneCore object. Special function to warm up dtmf feeback stream. linphone_core_stop_dtmf_stream() must be called before entering FG mode

## ◆ linphone_core_stop_dtmf_stream()

void linphone_core_stop_dtmf_stream | ( | LinphoneCore * | core | ) |

Parameters

  core | The LinphoneCore object. Special function to stop dtmf feed back function. Must be called before entering BG mode